Documentation

Objectives

Update objective

Update objective title, description, quarter, or status

ProductionStagingUAT
PUThttps://ankiren.com/api/me/okr/objectives/{id}

Parameters

Path Parameters

  • idintegerpathRequired

    Objective ID

Request Body

Bắt buộc.

  • titlestring
  • descriptionstring?
  • quarternull | 1 | 2 | …?
    enum: null, 1, 2, 3, 4
  • sortOrderinteger
  • status"active" | "completed" | "cancelled"

    Status of the OKR item

application/json
{
  "title": "string",
  "description": "string",
  "quarter": null,
  "sortOrder": 0,
  "status": "active"
}

Responses

200 · Objective updated

  • objectiveOkrObjective
    • idinteger
    • yearIdinteger
    • userIdstring
    • titlestring
    • descriptionstring?
    • quarternull | 1 | 2 | …?

      null = yearly, 1-4 = quarterly

      enum: null, 1, 2, 3, 4
    • sortOrderinteger
    • status"active" | "completed" | "cancelled"

      Status of the OKR item

    • createdAtstring<date-time>
      format: date-time
    • updatedAtstring<date-time>
      format: date-time
application/json
{
  "objective": {
    "id": 0,
    "yearId": 0,
    "userId": "string",
    "title": "string",
    "description": "string",
    "quarter": null,
    "sortOrder": 0,
    "status": "active",
    "createdAt": "2026-01-01T00:00:00.000Z",
    "updatedAt": "2026-01-01T00:00:00.000Z"
  }
}

Sample Code

Đổi ngôn ngữ ở ô Language trên thanh Documentation.

cURL
curl -X PUT 'https://ankiren.com/api/me/okr/objectives/{id}' \
  -H 'Authorization: Bearer <token>' \
  -H 'Accept: application/json' \
  -H 'Content-Type: application/json' \
  -d '{
  "title": "string",
  "description": "string",
  "quarter": null,
  "sortOrder": 0,
  "status": "active"
}'